#ifndef INC_H
#define INC_H

/*
 * define a bunch of entry points, these being ioctl, mmap and the kernel
 * entry points nv_*
 *
 * say we want to track down a crash we find some point to initialize tracking
 * then let a certain fixed number of 'entries' go by.
 */

/* inc_entry
 *
 * increment internal entry counter
 *
 * return 0 if allowed to go ahead
 * return !0 if not allowed
 */

int	inc_entry (void);

/* inc_init
 *
 * initialize incremental debugging and allow at most 'count' steps
 */

void	inc_init (int count);

/* inc_reset
 *
 * reset the counter so inc_entry always returns 0
 */

void	inc_reset (void);

/* inc_in_progress
 *
 * return 1 if in incremental debugging is in progress
 * return 0 if not
 */

int	inc_in_progress (void);

#endif /* INC_H */
